unit Unit1;

interface

uses
  Windows, Forms, Registry, Buttons, StdCtrls, ShellAPI, jpeg, ExtCtrls,
         Dialogs, Classes, Graphics, Controls, SysUtils;

type
  TForm1 = class(TForm)
    SpeedButton1: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    Image1: TImage;
    SpeedButton2: TSpeedButton;
    Label4: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Image2: TImage;
    Memo1: TMemo;
    Label6: TLabel;
    SDlg_Dic: TSaveDialog;
    procedure SetWriteString(SelectRootKey: HKEY; SelectKey: string;
                                      NewValueName: string; Value: string);
    function GetDeleteValue(SelectRootKey: HKEY; SelectKey: string; Key: string)
                                      : Boolean;
    procedure SpeedButton1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Label2Click(Sender: TObject);
begin
 shellexecute(0,'open', 'http://www.dev-zone.com/faq/bdr/fqbdr_index.php', nil,
                   nil, SW_SHOWMAXIMIZED );
end;

procedure TForm1.SetWriteString(SelectRootKey: HKEY; SelectKey: string;
                                NewValueName: string; Value: string);
begin
  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, True);
        WriteString(NewValueName, Value);
      finally
       Free;
      end;
    end;
end;

function TForm1.GetDeleteValue(SelectRootKey: HKEY; SelectKey: string;
                               Key: string): Boolean;
begin
  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, False);
        Result := DeleteValue(Key);
      finally
       Free;
      end;
   end;
end;






// ---------------------------------------------------------------------------//
// ---------------------------------------------------------------------------//
// -------------------------------------------------------------------------- //
  // Cl : HKEY_CURRENT_USER\Software\Microsoft\
  //                           Shared Tools\Proofing Tools\Custom Dictionaries
  // Cl : HKEY_USERS\S-1-5-21-842925246-436374069-725345543-1004\Software\
  //                 Microsoft\Shared Tools\Proofing Tools\Custom Dictionaries
  // Valeur : 1(..2..etc.)
  // Compatibilits : Non test  par wordSuiteXp2002
  // Type : REG_SZ
  // Donnes de la valeur : C:\Chemin du fichier (.dic)
procedure TForm1.SpeedButton1Click(Sender: TObject);
begin


  MessageDlg('Enregistrez un nouveau dictionnaire(.dic).'#13'Les cls de '+
  'registre dcritent dans ce source placeront ce '+
  'dictionnaire comme dictionnaire par defaut sur WORD.'#13#13'Attention ! '+
  'Cet exemple n''a t test que sur Word 2002 (Suite Xp)...',
  mtinformation, [mbOk], 0);
  if SDlg_Dic.Execute then
  begin
    Memo1.Lines.SaveToFile(SDlg_Dic.FileName);
  // ------------------------------------------------------------------
  // Contient le nom et le chemin du fichier.
  // ------------------------------------------------------------------
    SetWriteString(HKEY_CURRENT_USER,'Software\Microsoft\Shared Tools\'+
             'Proofing Tools\Custom Dictionaries', '1', SDlg_Dic.FileName);
  // ------------------------------------------------------------------
  // Place le fichier *.dic personnalis comme dictionnaire par dfaut.
  // ------------------------------------------------------------------
    SetWriteString(HKEY_USERS,'S-1-5-21-842925246-436374069-725345543-1004\'+
    'Software\Microsoft\Shared Tools\Proofing Tools\Custom Dictionaries', '1',
     SDlg_Dic.FileName);
    MessageDlg('Le dictionnaire ' + SDlg_Dic.FileName +
     '  t ajout avec succs !', mtinformation, [mbOk], 0);
  end;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  // ------------------------------------------------------------------
  // Efface la donnes de la valeur.
  // ------------------------------------------------------------------
  GetDeleteValue(HKEY_CURRENT_USER, 'Software\Microsoft\Shared Tools\'+
                                  'Proofing Tools\Custom Dictionaries', '1');
  GetDeleteValue(HKEY_USERS, 'S-1-5-21-842925246-436374069-725345543-1004\'+
     'Software\Microsoft\Shared Tools\Proofing Tools\Custom Dictionaries', '1');
  MessageDlg('Votre configuration d''origine a t rtablie avec succs !',
                                   mtinformation, [mbOk], 0)
end;
// -------------------------------------------------------------------------- //
// -------------------------------------------------------------------------- //
// -------------------------------------------------------------------------- //
end.
